## ros-indigo-ecto-image-pipeline 0.5.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(ecto_image_pipeline)

find_package(Boost REQUIRED)
find_package(catkin REQUIRED cmake_modules opencv_candidate)
find_package(Eigen REQUIRED)
find_package(OpenCV REQUIRED)
find_package(PCL QUIET)
if(PCL_FOUND)
catkin_package(CATKIN_DEPENDS opencv_candidate
               DEPENDS Boost Eigen OpenCV PCL
               INCLUDE_DIRS include
               LIBRARIES ecto_image_pipeline
)
else()
catkin_package(CATKIN_DEPENDS opencv_candidate
               DEPENDS Boost Eigen OpenCV
               INCLUDE_DIRS include
               LIBRARIES ecto_image_pipeline
)
endif()

catkin_python_setup()

find_package(ecto REQUIRED)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include_directories(include ${catkin_INCLUDE_DIRS})
if(PCL_FOUND)
install(DIRECTORY ${ecto_image_pipeline_SOURCE_DIR}/include/ecto_image_pipeline/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        COMPONENT main
)
else()
install(DIRECTORY ${ecto_image_pipeline_SOURCE_DIR}/include/ecto_image_pipeline/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        COMPONENT main
        PATTERN *.h
        PATTERN *.hpp 
        PATTERN pcl EXCLUDE
)
endif()

include_directories(SYSTEM ${Eigen_INCLUDE_DIRS}
                           ${Boost_INCLUDE_DIRS}
)

add_subdirectory(cells)
add_subdirectory(src)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

ecto_sphinx(${CMAKE_CURRENT_SOURCE_DIR}/doc doc)

=== test/CMakeLists.txt ===
catkin_add_gtest(image_pipeline-test
  main.cpp
  pinhole.cpp
  test_pose_graph.cpp
  )

target_link_libraries(image_pipeline-test
                      ecto_image_pipeline
                      ${catkin_LIBRARIES}
)

macro(pytest pyfile)
  string(REPLACE ";" " " args "${ARGN}")

  add_test(ecto_image_pipeline_${pyfile}
    ${CATKIN_ENV}
    ${CMAKE_CURRENT_SOURCE_DIR}/${pyfile}.py ${ARGN}
    )
endmacro()

option(DESKTOP_TEST "Desktop tests will attempt to run tests that may require graphics or devices." OFF)
if(DESKTOP_TEST)
    pytest(test_source --niter 100)
endif()

if(ROS_TEST)
  pytest(test_common_io_ros_source_kinect)
  pytest(test_common_io_ros_source_bag_reader)
endif()

=== cells/conversion/CMakeLists.txt ===
find_package(PCL QUIET)

if(NOT PCL_FOUND)
message(WARNING "PCL could not be found, so not building conversion cells.")
return()
endif()

include_directories(SYSTEM
                    ${PCL_INCLUDE_DIRS}
)

ectomodule(conversion DESTINATION ecto_image_pipeline
                      INSTALL
  module.cpp
  MatToPointCloud.cpp
  PointCloudToDepthMat.cpp
  PointCloudToMat.cpp
  )

link_ecto(conversion
  ${OpenCV_LIBS}
  ${PCL_LIBRARIES}
  ${Boost_LIBRARIES}
  )

=== samples/user_project/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(my_project)

find_package(image_pipeline 0.1.0 REQUIRED)

include_directories(${image_pipeline_INCLUDE_DIRS})

add_executable(my_thing main.cpp)
target_link_libraries(my_thing ${image_pipeline_LIBRARIES})

=== debian/changelog ===
ros-indigo-ecto-image-pipeline (0.5.6-0trusty) trusty; urgency=high

  * fixing the depth rescale and its calibration matrix
  * Contributors: nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 18 Apr 2015 22:00:00 -0000

ros-indigo-ecto-image-pipeline (0.5.5-0trusty) trusty; urgency=high

  * Fixed issue with the format of images (now it is CV_32F)
  * clean extensions
  * do not depend on ecto_opencv for building
  * convert a test to a proper gtest
  * Contributors: Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-indigo-ecto-image-pipeline (0.5.4-0trusty) trusty; urgency=high

  * add Eigen as a build dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 19 Nov 2014 23:00:00 -0000

ros-indigo-ecto-image-pipeline (0.5.3-0trusty) trusty; urgency=high

  * remove the PCL dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 19 Nov 2014 23:00:00 -0000

ros-indigo-ecto-image-pipeline (0.5.2-0trusty) trusty; urgency=high

  * re-add opencv_candidate as a dep as it is find_packaged
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-indigo-ecto-image-pipeline (0.5.1-0trusty) trusty; urgency=high

  * update dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-indigo-ecto-image-pipeline (0.5.0-0trusty) trusty; urgency=high

  * no need for g2o cells: g2o things should be done through the library anyway
  * make the code compile on Indigo
  * use the proper new camera topic
  * use the newer catkin variable for tests
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-indigo-ecto-image-pipeline (0.4.13-0trusty) trusty; urgency=high

  * fix dependencies with PCL

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 28 Aug 2013 20:03:21 +0200

=== debian/control ===
Source: ros-indigo-ecto-image-pipeline
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ecto, ros-indigo-opencv-candidate
Homepage: http://plasmodic.github.io/ecto_image_pipeline/
Standards-Version: 3.9.2

Package: ros-indigo-ecto-image-pipeline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, ros-indigo-ecto, ros-indigo-ecto-opencv, ros-indigo-ecto-ros, ros-indigo-opencv-candidate
Description: Common tools for image based pipelines. Includes stereo and mono camera drivers, rectification, image sinks, calibration, etc..

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ecto-image-pipeline//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
